Erreur quotidienne depuis apt-get upgrade

Bonjour à toute la communauté,

Depuis que j’ai mis mon debian10 à jour, le cron.daily yunohost-certificate-renew sort en erreur chaque fois.

On a un joli traceback mais je n’ai jamais programmé en python (dommage)

Voici:

# yunohost domain cert-renew --email
Traceback (most recent call last):
  File "/usr/bin/yunohost", line 218, in <module>
    timeout=opts.timeout,
  File "/usr/lib/python2.7/dist-packages/moulinette/__init__.py", line 150, in cli
    moulinette.run(args, output_as=output_as, password=password, timeout=timeout)
  File "/usr/lib/python2.7/dist-packages/moulinette/interfaces/cli.py", line 469, in run
    ret = self.actionsmap.process(args, timeout=timeout)
  File "/usr/lib/python2.7/dist-packages/moulinette/actionsmap.py", line 588, in process
    return func(**arguments)
  File "/usr/lib/moulinette/yunohost/domain.py", line 278, in domain_cert_renew
    return yunohost.certificate.certificate_renew(domain_list, force, no_checks, email, staging)
  File "/usr/lib/moulinette/yunohost/certificate.py", line 320, in certificate_renew
    for domain in yunohost.domain.domain_list()['domains']:
  File "/usr/lib/moulinette/yunohost/domain.py", line 54, in domain_list
    from yunohost.utils.ldap import _get_ldap_interface
  File "/usr/lib/moulinette/yunohost/utils/ldap.py", line 23, in <module>
    from moulinette.core import init_authenticator
ImportError: cannot import name init_authenticator

L’apt-get upgrade a mis à jour:
moulinette:all 3.7.1.1 3.8.1.2
metronome:amd64 3.12.0+yunohost-1 3.14.1+ynh9-1
ssowat:all 3.7.1.1 3.8.0.1
et le kernel en 4.19

Serveur bare metal, OVH KS2G (processeur Atom N2800), Yunohost installé le 11 mai sur debian10.
2 GB RAM, 4 GB swap, 2 TB disk.

Si ça inspire quelqu’un, je prends toutes les pistes intéressantes, il me reste 2 petits mois avant que mes certificats n’expirent…

English spoken and understood as well.

Sur debian 10, tu es sur ? …

  • Tu n’es pas censé être sur Debian 10 car la version actuellement supportée est Debian Stretch (9)
  • Si ton yunohost est à jour, alors moulinette et ssowat devraient être en version 3.8 (comme yunohost et yunohost-admin d’ailleurs)

Donc comment est-ce que tu t’y prends pour mettre à jour ton yunohost

Bonjour Aleks,
Désolé de ne pas avoir réagi plus tôt.

Oui je sais que c’était téméraire, prémonitoire ou enthousiaste d’utiliser une plateforme Debian 10.

apt-get upgrade a donc mis à jour moulinette, metronome et ssowat.

Comme la partie mail fonctionnait toujours (mais pas la console d’admin), je ne me suis pas pris la tête dans la précipitation, je me suis construit une petite VM debian9 + installation Yunohost, comparé les scripts Python et je n’ai pas trouvé ce qui clochait.

Puis est apparue la conversation [solved/résolu] nginx failed after cesium upgrade / échec de nginx après mise à jour de cesium avec le paramètre fix-broken, etc,

et apparemment mon Yunohost est réparé.

Je n’ai jamais programmé en Python (je suis de l’époque assembleur 370, Fortran, Cobol, et toutes ces vieilles choses) ça doit être une connerie qui se passait, peut-être dans l’environnement Python et non dans les programmes eux-mêmes.

Félicitations à l’équipe. Yunohost est cohérent et me plaît.

This topic was automatically closed 15 days after the last reply. New replies are no longer allowed.